<div>
    <!-- anchor tag horizontally -->
    <div class="flex items-center gap-2 text-xs text-gray-600">
        <!-- Home link -->
        <a href="/main/profile" class="flex items-center w-fit text-xs hover:text-orange-600">
            <x-heroicon-o-home class="w-3 h-3 mr-1" />
            <span class="leading-none">Home</span>
        </a>
        <x-heroicon-o-chevron-right class="w-3 h-3" />
        <a href="/main/notification" class="hover:text-orange-600">
            Notifications
        </a>

        <x-heroicon-o-chevron-right class="w-3 h-3" />
        <span>
            Create Notification
        </span>
    </div>

    <!-- Page Title -->
    <h3 class="text-5xl font-semibold text-gray-800 mt-4">Create Notification</h3>

    <!-- Bottom border -->
    <div class="border-b border-gray-300 mt-5"></div>

    <div class="p-6 mt-10 max-w-5xl mx-auto bg-white rounded-md shadow-md">
        <h2 class="text-lg font-semibold mb-4">Notification Details</h2>

        <div class="space-y-4">
            <!-- Subject -->
            <div class="flex items-center gap-2">
                <label class="w-40">Subject:</label>
                <input type="text" wire:model="subject" class="flex-1 border rounded px-3 py-2" placeholder="Subject">
            </div>

            <!-- Content -->
            <div class="flex items-start gap-2">
                <label class="w-40 pt-2">Content:</label>
                <textarea wire:model="description" class="flex-1 border rounded px-3 py-2" rows="4" placeholder="Enter your content here..."></textarea>
            </div>


            <!-- Status -->
            <div class="flex items-center gap-4">
                <label class="w-40">Schedule:</label>
                <label>
                    <input type="radio" wire:model="set_schedule" wire:click="$set('set_schedule', 'no')" name="schedule" value="no" class="mr-1"> No
                </label>
                <label>
                    <input type="radio" wire:click="$set('set_schedule', 'yes')" name="schedule" value="yes" class="mr-1"> Yes
                </label>
            </div>


            @if($set_schedule === 'yes')
                <div class="flex items-center gap-2 mt-4 transition duration-300 ease-in-out">
                    <label class="w-40">Schedule Date:</label>
                    <input type="datetime-local" wire:model="schedule" class="flex-1 border rounded px-3 py-2 hover:border-orange-400">
                </div>

                <div class="flex items-center gap-2 mt-2 transition duration-300 ease-in-out">
                    <label class="w-40">Expiration Date:</label>
                    <input type="datetime-local" wire:model="expiration" class="flex-1 border rounded px-3 py-2 hover:border-orange-400">
                </div>
            @endif

        <!-- Submit / Cancel -->
        <div class="mt-6 flex justify-end gap-2">
            <button wire:click="cancel" class="px-4 py-2 bg-gray-300 text-black rounded hover:bg-gray-400">Cancel</button>
            <button wire:click="submit" class="px-4 py-2 bg-orange-500 text-white rounded hover:bg-orange-600">Submit</button>
        </div>
    </div>
</div>
